# $Revision: 1.10 $, $Date: 2011/11/02 21:31:24 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	VersionControl_SVN
Summary:	%{_pearname} - OO wrapper interface for the Subversion command-line client
Summary(pl.UTF-8):	%{_pearname} - obiektowy interfejs do klienta Subversion
Name:		php-pear-%{_pearname}
Version:	0.4.0
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8affc1d2d5fa42e9a2f915e4942bf323
URL:		http://pear.php.net/package/VersionControl_SVN/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.9.4
Requires:	php-pear-XML_Parser >= 1.3.4
Requires:	subversion
Obsoletes:	php-pear-VersionControl_SVN-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VersionControl_SVN is a simple OO-style interface for Subversion, the
free/open-source version control system.

VersionControl_SVN can be used to manage trees of source code, text
files, image files -- just about any collection of files.

Some of VersionControl_SVN's features:

 - Full support of svn command-line client's subcommands.
 - Use of flexible error reporting provided by PEAR_ErrorStack.
 - Multi-object factory.
 - Source fully documented with PHPDoc.
 - Stable, extensible interface.
 - Collection of helpful quickstart examples and tutorials.

What can be done with VersionControl_SVN?

 - Make your source code available to your remote dev team or project
   manager.
 - Build your own WYSIWYG web interface to a Subversion repository.
 - Add true version control to a content management system!

VersionControl_SVN is tested against Subversion 1.0.4

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
VersionControl_SVN to prosty, obiektowy interfejs do Subversion,
darmowego systemu kontroli wersji o otwartych źródłach.

VersionControl_SVN może być używany do zarządzania drzewami kodów
źródłowych, plików tekstowych, grafik -- w zasadzie dowolnego zestawu
plików.

Niektóre z cech VersionControl_SVN:

 - pełna obsługa podpoleceń klienta svn,
 - możliwość korzystania z elastycznego systemu raportowania błędów
   dzięki wykorzystaniu PEAR_ErrorStack
 - źródła w pełni udokumentowane przy użyciu PHPDoc,
 - stabilny, rozszerzalny interfejs
 - zestaw przydatnych przykładów i tutoriali,

Co można zrobić za pomocą VersionConrol_SVN:

 - udostępnić kod źródłowy innym programistom lub kierownikowi
   projektu,
 - stworzyć własny interfejs WWW do repozytorium Subversion,
 - dodać prawdziwą kontrolę wersji do systemu zarządzania treścią!

VersionControl_SVN został przetestowany z Subversion w wersji 1.0.4.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/VersionControl_SVN/docs/examples .
mv docs/VersionControl_SVN/docs/tutorials examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/VersionControl/SVN.php
%{php_pear_dir}/VersionControl/SVN

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-VersionControl_SVN.spec,v $
Revision 1.10  2011/11/02 21:31:24  glen
- updated to: 0.4.0

Revision 1.9  2010/10/09 16:49:35  glen
- updated to: 0.3.4

Revision 1.8  2010/08/22 08:51:44  glen
- ensure rpmbuild macros present

Revision 1.7  2010/08/21 19:08:40  glen
- updated deps with pearize.sh
- release 2

Revision 1.6  2010/08/19 18:21:48  glen
- up to 0.3.3

Revision 1.5  2008/05/24 08:41:58  adamg
- release 3 (updated PEAR deps)

Revision 1.4  2008-05-24 08:26:38  adamg
- PEAR-core is enough
- R: subversion

Revision 1.3  2008-04-12 21:41:21  qboosh
- pl fixes

Revision 1.2  2008-01-31 12:16:12  glen
- rel 2

Revision 1.1  2007-09-18 20:19:09  adamg
- new
